<?php


return  
    [
        'model' => [
            'model' => \Crm\Product\Models\Product::class,
            'table' => 'crm_product_products',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['category_id',  'brand_id',  'name',  'code',  'price',  'whatsapp',  'catalouge',  'quantity',  'description',  'payment_method',  'payment_link',  'min_order',  'feature',  'stock',  'status',  'images',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'product/product',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "category_id", 
                "type" => "text", 
                "label" => 'product::product.label.category_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "brand_id", 
                "type" => "text", 
                "label" => 'product::product.label.brand_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'product::product.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "code", 
                "type" => "text", 
                "label" => 'product::product.label.code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'product::product.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "whatsapp", 
                "type" => "text", 
                "label" => 'product::product.label.whatsapp', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "catalouge", 
                "type" => "text", 
                "label" => 'product::product.label.catalouge', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "quantity", 
                "type" => "text", 
                "label" => 'product::product.label.quantity', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'product::product.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_method", 
                "type" => "text", 
                "label" => 'product::product.label.payment_method', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_link", 
                "type" => "text", 
                "label" => 'product::product.label.payment_link', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "min_order", 
                "type" => "text", 
                "label" => 'product::product.label.min_order', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "feature", 
                "type" => "text", 
                "label" => 'product::product.label.feature', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "stock", 
                "type" => "text", 
                "label" => 'product::product.label.stock', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'category_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::product.label.category_id',
                "placeholder" => 'product::product.placeholder.category_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'brand_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'product::product.label.brand_id',
                "placeholder" => 'product::product.placeholder.brand_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.name',
                "placeholder" => 'product::product.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.code',
                "placeholder" => 'product::product.placeholder.code',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.price',
                "placeholder" => 'product::product.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'whatsapp',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.whatsapp',
                "placeholder" => 'product::product.placeholder.whatsapp',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'catalouge',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.catalouge',
                "placeholder" => 'product::product.placeholder.catalouge',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'quantity',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.quantity',
                "placeholder" => 'product::product.placeholder.quantity',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.description',
                "placeholder" => 'product::product.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_method',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.payment_method',
                "placeholder" => 'product::product.placeholder.payment_method',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_link',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.payment_link',
                "placeholder" => 'product::product.placeholder.payment_link',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'min_order',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.min_order',
                "placeholder" => 'product::product.placeholder.min_order',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'feature',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.feature',
                "placeholder" => 'product::product.placeholder.feature',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'stock',
                "element" => 'text',
                "type" => 'text',
                "label" => 'product::product.label.stock',
                "placeholder" => 'product::product.placeholder.stock',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'product::product.label.images',
                "placeholder" => 'product::product.placeholder.images',
                "rules" => '',
                "group" => "main.main",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'product/product/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'product/product/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'product/product',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'product/product',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'product/product',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'product/product',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'product::product.label.created_at',
            'name' => 'product::product.label.name',
            'status' => 'product::product.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "product::product.groups.main",
                'group' => "main.main",
                'title' => "product::product.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "product::product.groups.details",
                'group' => "main.details",
                'title' => "product::product.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "product::product.groups.images",
                'group' => "main.images",
                'title' => "product::product.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "product::product.groups.settings",
                'group' => "main.settings",
                'title' => "product::product.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Crm',
            'package' => 'Product',
            'module' => 'Product',
        ],

        
        
    ];
